
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JS实现OCX控件的事件响应示例 / iVAN</title>

    <meta name="description" content="JS实现OCX控件的事件响应示例  JS支持OCX控件的事件(event),当OCX控件定义的事件发生时,JS可以捕获该事件并对事件进行相应的处理. 个人理解,其实就是事件的响应由谁来完成,OCX控件自身肯定是可以实现的,JS提供的这种机制使JS也可以完成OCX控件事件的响应. 简单举例如下: 首先在OCX控件中添加自定义事件(预定义事件同理,如鼠标点击等,没亲自试,感觉原理应该是一样的), 事件应该是属于窗口的,所以在Ctrl类上单击右键,Add-&gt;Add Event,如下图: 在打开的对话框中输入事件名称,例如OnCh ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JS实现OCX控件的事件响应示例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> JS支持OCX控件的事件（event），当OCX控件定义的事件发生时，JS可以捕获该事件并对事件进行相应的处理。</p>
<p>个人理解，其实就是事件的响应由谁来完成，OCX控件自身肯定是可以实现的，JS提供的这种机制使JS也可以完成OCX控件事件的响应。</p>
<p>简单举例如下：</p>
<p>首先在OCX控件中添加自定义事件（预定义事件同理，如鼠标点击等，没亲自试，感觉原理应该是一样的），</p>
<p>事件应该是属于窗口的，所以在Ctrl类上单击右键，Add-&gt;Add Event，如下图：</p>
<p>在打开的对话框中输入事件名称，例如OnChange，如果需要参数，设置参数信息，点击 [ 完成 ]，向导自动生成代码，如下</p>
<p> </p>
<p>代码如下:<br />
<br />
// 事件映射 <br />
BEGIN_EVENT_MAP(CH_OcxCtrl,  COleControl) <br />
EVENT_CUSTOM_ID("OnChange", eventidChange, OnChange, VTS_NONE)  <br />
END_EVENT_MAP()<br />
<br />好了，事件定义完成，接下来需要触发该事件，可在OCX控件的某个函数中调用OnChange()来触发事件。<br />
OCX控件的事件定义至此完成。</p>
<p> </p>
<p>接下来是JS中的对事件的响应，代码如下，</p>
<p> </p>
<p> 代码如下:<br />
<br />
&lt;script language="javascript"  for="MyCtrl" event="OnChange()" type="text/javascript"&gt; <br />
Call();  //也可直接写操作代码<br />
&lt;/script&gt;<br />
<br />MyCtrl是该控件在本页面中的OCX控件对象ID（name好像也可以，没有试过），可在javascript中操作该对象。<br />
OnChange()是OCX控件中的事件，这里的事件名称必须与OCX控件中的事件名称一样。<br />
如果事件带参数，当触发事件的时候，OCX控件会传递相应的参数，例如事件有两个参数p1和p2，可写为event  = “OnChange(param1,param2)”，此时param1、param2会对应接收到p1、p2，同理Call(param1,param2)。</p>
<p> </p>
<p> </p>
<p> 代码如下:<br />
<br />
&lt;script type="text/javascript"  Language=Javascript&gt; <br />
function Call(param1,param2) <br />
{  <br />
alert(param1+param2); //操作代码<br />
}  <br />
&lt;/script&gt;<br />
<br />写的仓促，语言表达不是很清晰，基本思路是这样，用以备忘。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 06:02:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6/" title="事件">事件</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/ocx/" title="ocx">ocx</a>, <a href="https://www.iamivan.net/tag/param/" title="param">param</a>, <a href="https://www.iamivan.net/tag/js%e8%a7%a6%e5%8f%91%e4%ba%8b%e4%bb%b6/" title="js触发事件">js触发事件</a>, <a href="https://www.iamivan.net/tag/js%e4%ba%8b%e4%bb%b6/" title="js事件">js事件</a>, <a href="https://www.iamivan.net/tag/so-ramer-ocx/" title="so ramer ocx">so ramer ocx</a>, <a href="https://www.iamivan.net/tag/dsoframer-ocx%e6%8e%a7%e4%bb%b6/" title="dsoframer ocx控件">dsoframer ocx控件</a>, <a href="https://www.iamivan.net/tag/ocx%c2%a0/" title="OCX&nbsp;">OCX&nbsp;</a>, <a href="https://www.iamivan.net/tag/ocx%e6%8e%a7%e4%bb%b6%c2%a0c-%e8%b0%83%e7%94%a8ocx/" title="OCX控件&nbsp;C&num;调用OCX">OCX控件&nbsp;C&num;调用OCX</a>, <a href="https://www.iamivan.net/tag/ocx%e6%8e%a7%e4%bb%b6/" title="OCX控件">OCX控件</a>, <a href="https://www.iamivan.net/tag/onchange/" title="onchange">onchange</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e5%93%8d%e5%ba%94/" title="事件响应">事件响应</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JS实现OCX控件的事件响应示例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmZJLp.html" rel="bookmark">JS实现OCX控件的事件响应示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS支持OCX控件的事件(event),当OCX控件定义的事件发生时,JS可以捕获该事件并对事件进行相应的处理. 个人理解,其实就是事件的响应由谁来完成,OCX控件自身肯定是可以实现的,JS提供的这种机制使JS也可以完成OCX控件事件的响应. 简单举例如下: 首先在OCX控件中添加自定义事件(预定义事件同理,如鼠标点击等,没亲自试,感觉原理应该是一样的), 事件应该是属于窗口的,所以在Ctrl类上单击右键,Add-&gt;Add Event,如下图: 在打开的对话框中输入事件名称,例如OnChange			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwX7db.html" rel="bookmark">ocx控件调用&colon;js调用ocx控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js调用ocx控件:a.注册ocx控件, regsvr32 %控件路径%\名称.ocxb.如果注册成功,在注册表里可以查看到已注册的控件名称.c.打开注册表编辑器,在菜单栏有个编辑然后选择查找输入控件名称,可以找到该控件,并且分配一个OBJECT CLASSID,也可以在一些编辑器中找到该控件OBJECT,例如EditPlus.选择OBJECT(最下面一行菜单倒数第五个),点击该控件名称,生成一段代码这时可以用OBJECT 的 ID 值(TestCTIX)去调用 ocx 控件里的方法. 本文链接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bByya4z.html" rel="bookmark">MFC中动态创建控件以及事件响应实现方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了MFC中动态创建控件以及事件响应实现方法,分享给大家供大家参考.具体实现方法如下: 动态控件是指在需要时由Create()创建的控件,这与预先在对话框中放置的控件是不同的. 一.创建动态控件: 为了对照,我们先来看一下静态控件的创建. 放置静态控件时必须先建立一个容器,一般是对话框,这时我们在对话框编辑窗口中,从工具窗口中拖出所需控件放在对话框中即可,再适当修改控件ID,设置控件属性,一个静态控件就创建好了,当对话框被显示时,其上的控件也会显示. 静态控件不需要调用Create()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNmQlJb.html" rel="bookmark">关于Winform中调用OCX控件中事件问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 目前在Winform中使用第三方C++编写的OCX控件(ActiveX),1.已经注册组件(用命令行:Regsvr32/s[盘符:][路径]组件.ocx)2.添加引用,并能正常拖动到Form窗体上.3.using命名空间现在想通过OCX控件中的事件(如:PSMessageEvent)来得到相应的返回值,该如何做? 解决方案 解决方案二:什么叫返回值,这取决于人家的事件是否允许带返回参数解决方案三:下面是控件提供的SDK文档中的事件原型:voidPSMessage(doubledLati			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKykvp.html" rel="bookmark">动态创建控件支持事件响应并可保存与读取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VC++6.0中创建动态控件是比较偏离基础的知识,也有一定的难度.它的完整功能是要动态创建控件后再动态响应控件中的事件,两者全部做到才算完整. 这里我将展示一个完整的动态控件示例,它可以动态创建控件,然后再动态响应控件事件,并可以保存控件信息至ini配置文件,然后再根据ini文件读取出控件信息来动态创建控件.相信它能够解决你在动态控件中所遇到的许多问题. 当然,动态控件的方法有许多种,我展示的只是给我认为较好的. 这里以VC++6.0创建对话框工程为例,添加菜单,分别添加子项按钮,文本框,标签.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NKkLM.html" rel="bookmark">atl ocx 控件 事件回调给JS 调用 Invoke 接口失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 atl ocx 控件 事件回调给JS 调用 Invoke 接口失败 做了个测试,js里设置回调: function startMonitor(){ OCXAPI.SetJSCallBack(showMonitor); } 将js的函数 showMonitor 设置到 ocx中,采用此方法保存:CComPtr m_pCallBack; 当有事件触发时,调用 m_pAccCallBack-&gt;Invoke(0, IID_NULL, LOCALE_USER_DEFAULT, DISPATCH_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgeA4b.html" rel="bookmark">c&num; com控件-C&num;調用OCX控件問題，如何在另外一个方法中执行A 并获取A事件的执行情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#調用OCX控件問題,如何在另外一个方法中执行A 并获取A事件的执行情况 最近开发时使用到一个第3方提供的ocx控件.其中ocx控件中有一个A方法,以及一个A方法的事件(通过事件中的参数来判断A方法的执行情况) 我的问题是:我写了一个B方法,在B方法中调用了A方法,并要在B方法中等待A事件的执行并判断其执行情况.但是我在B方法中等待A事件超时后才会执行A的事件,即只有退出B方法后A的事件才会执行.求各位大神帮帮忙.小弟入行不久,不知道如何处理.附上代码 后来我在B方法中通过线程去执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaXaRM.html" rel="bookmark">使用js判断TextBox控件值改变然后出发事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了使用js判断TextBox控件值改变然后出发事件.需要的朋友可以过来参考下,希望对大家有所帮助 代码如下: &lt;script language=&quot;javascript&quot; type=&quot;text/javascript&quot;&gt;       var firsty;//最开始的加载页面时年和月     var firstm;       var secondy;//当onchange触发后的值     var secondm;     var pan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE01jp.html" rel="bookmark">JS脚本实现动态给标签控件添加事件的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS脚本实现动态给标签控件添加事件的方法.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &l			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyvJkp.html" rel="bookmark" class="title">谈谈响应式网站前端设计</a>
					<div>
						一段时间之前我对响应式的概念还是Bootstrap.Amaze之类的框架组件,用过几次也不以为然,我想国内搜索引擎在提供移动搜索结果页时还是会给移动网站加分的,却不能像google一样识别响应式网站, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBox9M.html" rel="bookmark" class="title">PHP扩展</a>
					<div>
						下载相对应的php扩展文件php_mongo.dll,拷入php扩展文件夹里/php/ext,修改php.ini文件,新增下列行:   extension=php_mongo.dll   PHP操作  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Rrjz.html" rel="bookmark" class="title">PPTP和L2TP的区别</a>
					<div>
						PPTP 点对点隧道协议(PPTP)是由包括microsoft和3com等公司组成的PPTP论坛开发的一种点对点隧道协议,基于拨号使用的ppp协议使用PAP或CHAP之类的加密算法,或者使用micro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jE3xb.html" rel="bookmark" class="title">复制和粘贴的js代码&lpar;IE&sol;FireFox&sol;mozilla&sol;ns&rpar;</a>
					<div>
						Jscript有些属性其实挺好的,可惜就是只是IE支持,比如复制和粘贴的属性 下面这段复制和粘贴的JAVASCRIPT的代码倒是可以支持IE/FireFox/mozilla/ns,,老外站点上看来的  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL072b.html" rel="bookmark" class="title">ASP&period;net实现无扩展名的URL重写（无需ISAPI）</a>
					<div>
						URL重写已经有很多的方法,但是多数都有一个缺点,就是不支持无扩展名的网页.比如把http://blog.knowsky.com/category_1_1.htm 转换为 http://blog.kn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kKmAz.html" rel="bookmark" class="title">使用nodejs开发cli项目实例</a>
					<div>
						  这篇文章主要介绍了使用nodejs开发cli项目实例,本文讲解使用generator-cli-starter实现cli项目的开发,需要的朋友可以参考下 1.分分钟使用默认选项安装完nodejs 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG925p.html" rel="bookmark" class="title">巨人《征途2》接班产品浮出 采用新研发体系</a>
					<div>
						在&lt;征途2&gt;宣布突破50万人大关不久,巨人网络 一款布局2012年下半年的&quot;接班&quot;产品随之浮出水面.该游戏名为&lt;http://www.aliyun.com/zix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrOKM.html" rel="bookmark" class="title">c&num;treeview控件问题-c&num;中treeview控件插入节点</a>
					<div>
						问题描述 c#中treeview控件插入节点 在该控件中,,两节点之间插入一个节点,,大虾,,求救,,......... 解决方案 var tn = new TreeNode(&quot;1111&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwQVyM.html" rel="bookmark" class="title">Cef功能开发经验总结</a>
					<div>
						转载请说明原出处,谢谢~~:http://blog.csdn.net/zhuhongshu/article/details/70159672 这是我开发Cef功能时对踩过的坑,进行的总结,话说Cef坑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZWykb.html" rel="bookmark" class="title">c&num;- asp&period;net 后台之前传值问题  在不同的项目工程</a>
					<div>
						问题描述 asp.net 后台之前传值问题 在不同的项目工程 asp.net 后台之前传值问题 在不同的项目工程 a.cs 中有一个赋好值coon的变量穿个 b.cs它们不是同一个工程内 请问怎么做? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQrKEp.html" rel="bookmark" class="title">ejb3中的&commat;Schedule中的persistent属性的深入探索</a>
					<div>
						标题:ejb3中的@Schedule中的persistent属性的深入探索 1 实验环境:     应用服务器:glassfish4.0     数据库服务器: MYSQL Target Server ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP7l0p.html" rel="bookmark" class="title">逃脱APT攻击魔抓 需网络安全防御体系一层套一层</a>
					<div>
						如同一个APT攻击需要突破多个网络层才可以成功一样,如果企业不希望沦为APT的猎物必须实施能够进行多层网络防御的安全策略.也就是说单一的网络安全功能是不能够防御APT攻击的. 安全协助: 攻击者不会止 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE46Nz.html" rel="bookmark" class="title">计算机组成原理-IEEE 754标准下， 浮点数1的机器码表示</a>
					<div>
						问题描述 IEEE 754标准下, 浮点数1的机器码表示 用反汇编得到了浮点数1的机器码,根据IEEE 754标准推断,却发现匹配不上. 具体如下: float f = 1.0f; 这句话反汇编后,汇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk0ADb.html" rel="bookmark" class="title">关于控件的应用？</a>
					<div>
						问题描述 请问在哪个网站有关于repeater,gridview控件的深层次的应用?求助!!!! 解决方案 解决方案二:网上搜一下应该很多吧,深层次的还是找本实例的书看看,可能比较好解决方案三:看看& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z3OLM.html" rel="bookmark" class="title">为什么在eclipse上报错</a>
					<div>
						问题描述 为什么在eclipse上报错 import java.io.*; import javax.servlet.*; import javax.servlet.http.*; public cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmmJ5M.html" rel="bookmark" class="title">数据-Identifying the error connections in the network</a>
					<div>
						问题描述 Identifying the error connections in the network 一堆节点连接数据,怎么识别网络中的错误连接? 例如: node1-node2 1-2 1-3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqdVyz.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;191&period;Number of 1 Bits</a>
					<div>
						题目 Write a function that takes an unsigned integer and returns the number of '1' bits it has (also k ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0mqYM.html" rel="bookmark" class="title">javascript-JavaScript实现以下功能</a>
					<div>
						问题描述 JavaScript实现以下功能 点击以下 它就变成红色 松开就是原来的样子 这个用js怎么实现 解决方案 如何实现javascript的sleep功能有关JavaScript分页功能的实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRDR8b.html" rel="bookmark" class="title">PHP通过API获取手机号码归属地&lowbar;php实例</a>
					<div>
						该API接口自 2011年 SAE平台上线稳定运行至今,增加了17号段的支持,欢迎各种采集注限制 并发10 详细使用说明 接口地址:http://appyun.sinaapp.com/index.ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR1Bxb.html" rel="bookmark" class="title">自动化测试~数据源</a>
					<div>
						介绍 本篇介绍框架PhoenixAutotest中的数据源模块以及在项目中的使用示例.阅读本文的前提,是您已经完成了基础入门篇,如果您错过了请点击入门介绍. 所谓数据源,即把在测试过程中所要录入的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRO9wb.html" rel="bookmark" class="title">大家好，請教一個跨框架彈出層的問題</a>
					<div>
						问题描述 大家好,我想在頂部框架執行程序,然後在右側主框架右下角顯示一個彈出層.用的是jquery的messager插件.這是框架結構&lt;framesetrows=&quot;75,*&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rnKJz.html" rel="bookmark" class="title">《&OpenCurlyDoubleQuote;笨办法&rdquo;学Ruby》（第3版）&mdash;习题0　准备工作</a>
					<div>
						习题0 准备工作 &quot;笨办法&quot;学Ruby(第3版) 这个习题并没有代码,它的主要目的是让你在计算机上安装好Ruby.你应该尽量照着说明进行操作,例如,Mac OS X已经安装了Rub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n2OPz.html" rel="bookmark" class="title">Spark 便已部署问题</a>
					<div>
						问题描述 运行./make-distribution.sh--hadoop2.2.0--with-yarn--with-hive--with-tachyon--tgz的时候很快脚本退出了..跟了一下, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgdXRM.html" rel="bookmark" class="title">Linux&lowbar;Bash脚本基础</a>
					<div>
						目录 目录 Bash使用基础 if 语句 运算符 逻辑表达式 不将执行指令的结果显示出来 echo 语句 从Bash接受输入参数 Case语句 循环 for 语句 While语句 内置变量和函数 AW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNvY3M.html" rel="bookmark" class="title">数据存储公司Cohesity获得9000万美元融资，由GV和红杉领投</a>
					<div>
						  Cohesity是一家专门从事辅助存储的初创公司,今天宣布获得由GV(原 Google Ventures)和红杉资本领投的9000万美元融资,Accel,Artis Ventures,Batter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgjPNM.html" rel="bookmark" class="title">闲谈索引、谓词和DB2运行架构</a>
					<div>
						12月1日,IBM数据库解决方案架构师马远老师,在DBA+社群DB2用户群进行了一次主题为&quot;闲谈索引.谓词和DB2运行架构&quot;的线上分享.小编特别整理出其中精华内容,供大家学习交流. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmVlNz.html" rel="bookmark" class="title">网站优化中的几个处理方式</a>
					<div>
						最近&quot;谷歌退出中国&quot;事件在网络界炒的沸沸扬扬,不管谷歌是否退出,都让人们对谷歌推广平台有点担心.现在,百度是我们重点考虑的推广平台了.百度优化以价格低廉.短期投入长期见效的优势获得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPW71p.html" rel="bookmark" class="title">Oracle子查询</a>
					<div>
						SQL&gt; --问题:要查询工资比SCOTT高的员工信息 SQL&gt; --1. 查询SCOTT的工资 SQL&gt; select sal from emp where ename='SCOT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP7jOp.html" rel="bookmark" class="title">阿里将于下周正式推出盒子产品 推进电视屏幕购物</a>
					<div>
						硅谷网讯 7月16日上午消息,在大半年的研发后,阿里巴巴将于下周 正式推出盒子产品,该产品将 重点放在http://www.aliyun.com/zixun/aggregation/34107.htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgY6Gb.html" rel="bookmark" class="title">Intel驱动程序更新工具现严重漏洞，官方发布紧急修复版</a>
					<div>
						英特尔今天发布了驱动程序更新工具(Intel Driver Update Utility)2.4紧急修复版本,修复了旧版本中存在的一处严重安全漏洞,该漏洞可被黑客利用劫持驱动更新,并加入恶意软件. 英 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
